---
title: List report templates
url: https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/operations/listsitereporttemplates/
image: https://developers.wpengine.com/og/docs/managed-hosting-platform/api/reference/operations/listsitereporttemplates.png
---

# List report templates

GET

/site_reports/templates

Select code sample

```sh
curl --request GET \
  --url 'https://api.wpengineapi.com/v1/site_reports/templates?account_id=eeda3227-9a39-46ae-9e14-20958bb4e6c9' \
  --header 'Authorization: Basic <credentials>'
```

-

Returns the report templates available for Site Reports. Templates define the structure, branding and sections included in generated reports.

## Authorizations

- **[basicAuth](https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/#basicauth)**

## Parameters

### Query Parameters

**account_id**

required

string format: uuid

Account ID to filter templates. This parameter is required.

#### Example

```
eeda3227-9a39-46ae-9e14-20958bb4e6c9
```

## Responses

### 200

Returns a list of `Template` objects.

Media typeapplication/json

object

**templates**

Array\<object>

Report template defining structure and branding for generated reports

object

**template_uuid**

required

Unique identifier for the template

string format: uuid

**template_name**

required

Display name of the template

string

<= 100 characters

**company_name**

Company name displayed on the report

string

**brand_color**

Hex value of the color used on the report coversheet

string

**logo_url**

URL to the company logo

string format: uri

**preview_image_url**

URL to template preview image

string format: uri

**sections**

List of sections included in this template

Array\<object>

object

**name**

string

#### Example

```json
{
  "templates": [
    {
      "template_uuid": "9fe01285-87cc-405b-9f2f-02cc1316bb63",
      "template_name": "Site Report",
      "company_name": "WP Engine",
      "brand_color": "#FF0000",
      "logo_url": "https://storage.googleapis.com/crs-assets/logos/wpengine-logo.png",
      "preview_image_url": "https://storage.googleapis.com/crs-assets/previews/site-report-preview.png",
      "sections": [
        {
          "name": "cover"
        },
        {
          "name": "overview"
        },
        {
          "name": "usage"
        },
        {
          "name": "themes"
        }
      ]
    }
  ]
}
```

### 400

Bad Request

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

**errors**

An array of error objects describing specific errors that arose when servicing the request

Array\<object>

object

**resource**

required

The name of the resource that was being processed when the error occurred

string

**field**

required

(Optional) The specific field associated with the error

string

**type**

required

(Optional) A type associated with the error. `invalid_value`, `access_error`, `value_unavailable`

string

**code**

required

(Optional) A machine code relating to the error that occurred with the field and resource

string

**message**

required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string

#### Example

```json
{
  "message": "Invalid request.",
  "errors": [
    {
      "resource": "Resource",
      "field": "field_name",
      "type": "invalid_value",
      "code": "invalid",
      "message": "The value is invalid."
    }
  ]
}
```

### 401

Authentication Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Bad Credentials"
}
```

### 403

Not authorized

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "You don't have permission to perform that action"
}
```

### 404

Not found

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Not Found"
}
```

### 429

Too many requests

### 500

Internal Server Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

#### Example

```json
{
  "message": "An unexpected error occurred, please try again in a few minutes"
}
```

### 502

An invalid response was received from an upstream server

### 503

Service unavailable

## Was this helpful?

Thanks for the feedback!

```json
{"@context":"https://schema.org","@graph":[{"@type":"WebSite","@id":"https://developers.wpengine.com/#website","name":"WP Engine Product Documentation","url":"https://developers.wpengine.com/","description":"Resources for developing, deploying, and scaling on WP Engine.","inLanguage":"en-US","keywords":["API documentation","product documentation","headless WordPress","managed WordPress hosting"],"publisher":{"@id":"https://wpengine.com/#organization"}}]}
```
